# Global DFTB+ config options
set(DftbPlus_WITH_OMP ON)
set(DftbPlus_WITH_MPI OFF)
set(DftbPlus_WITH_ELSI OFF)
set(DftbPlus_ELSI_WITH_PEXSI )
set(DftbPlus_WITH_GPU OFF)
set(DftbPlus_WITH_TRANSPORT OFF)
set(DftbPlus_WITH_SOCKETS ON)
set(DftbPlus_WITH_ARPACK OFF)
set(DftbPlus_WITH_DFTD3 OFF)
set(DftbPlus_WITH_PLUMED OFF)

set(DftbPlus_EXTERNAL_LIBRARIES lapack;blas)
set(DftbPlus_EXTERNAL_LIBRARY_DIRS )

include(CMakeFindDependencyMacro)

## Note: finding MPI dependency fails, even if MPI_Fortran have been found
#if(DftbPlus_WITH_MPI)
#  find_dependency(MPI REQUIRED)
#endif()

if(DftbPlus_WITH_OMP)
  find_dependency(OpenMP REQUIRED)
endif()

if(DftbPlus_WITH_ELSI)
  find_dependency(elsi REQUIRED)
endif()

if(NOT TARGET DftbPlus::dftbplus)
  include("${CMAKE_CURRENT_LIST_DIR}/DftbPlusTargets.cmake")
endif()
